Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.ibm.workplace.wcm.api
Enum SiteFrameworkContainer.RenderingBehaviour

    java.lang.Object
      java.lang.Enum<SiteFrameworkContainer.RenderingBehaviour>
          com.ibm.workplace.wcm.api.SiteFrameworkContainer.RenderingBehaviour

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SiteFrameworkContainer.RenderingBehaviour>

Enclosing interface:
  SiteFrameworkContainer

    public static enum SiteFrameworkContainer.RenderingBehaviour

extends java.lang.Enum<SiteFrameworkContainer.RenderingBehaviour>

The possible rendering behaviours for a `SiteArea`

Enum Constant Summary
`REDIRECT_TO_SELECTED_CONTENT` Render the default (selected) content as a child of the default content's `SiteArea`
`RENDER_DIRECTLY` Render the site area directly
`RENDER_FIRST_CHILD` Render the first child `Content` or `SiteArea` of the `SiteArea`
`RENDER_FIRST_CHILD_CONTENT` Render the first child `Content` of the `SiteArea`
`RENDER_SELECTED_CONTENT_AS_CHILD` Render the default (selected) content as a child of the `SiteArea`

Method Summary
`static SiteFrameworkContainer.RenderingBehaviour` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SiteFrameworkContainer.RenderingBehaviour[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### RENDER_DIRECTLY

    public static final SiteFrameworkContainer.RenderingBehaviour RENDER_DIRECTLY

  Render the site area directly

### REDIRECT_TO_SELECTED_CONTENT

    public static final SiteFrameworkContainer.RenderingBehaviour REDIRECT_TO_SELECTED_CONTENT

  Render the default (selected) content as a child of the default content's `SiteArea`

### RENDER_SELECTED_CONTENT_AS_CHILD

    public static final SiteFrameworkContainer.RenderingBehaviour RENDER_SELECTED_CONTENT_AS_CHILD

  Render the default (selected) content as a child of the `SiteArea`

### RENDER_FIRST_CHILD_CONTENT

    public static final SiteFrameworkContainer.RenderingBehaviour RENDER_FIRST_CHILD_CONTENT

  Render the first child `Content` of the `SiteArea`

### RENDER_FIRST_CHILD

    public static final SiteFrameworkContainer.RenderingBehaviour RENDER_FIRST_CHILD

  Render the first child `Content` or `SiteArea` of the `SiteArea`

Method Detail

### values

    public static SiteFrameworkContainer.RenderingBehaviour[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SiteFrameworkContainer.RenderingBehaviour c : SiteFrameworkContainer.RenderingBehaviour.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SiteFrameworkContainer.RenderingBehaviour valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD